{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 Bookmark Category Dialog Unit                                     }
{                                                                             }
{ 2001-05 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit Bookcate;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Dlghead, StdCtrls, ExtCtrls;

type
  TBookmarkCategoryDialog = class(TForm)
    HeaderFrame1: THeaderFrame;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    Label3: TLabel;
    Image1: TImage;
    Label4: TLabel;
    ListBox1: TListBox;
    Edit1: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private 錾 }
    FSelectedCategory: string;
  public
    { Public 錾 }
    property  SelectedCategory: string  read  FSelectedCategory;
  end;

var
  BookmarkCategoryDialog: TBookmarkCategoryDialog;

implementation

{$R *.dfm}

uses
  ZonuConf, Hzbconst;

procedure TBookmarkCategoryDialog.FormCreate(Sender: TObject);
begin
  Edit1.Text  :=  '';
  if  (FileExists(ZonuConfig.UsersPath + FILE_BOOKMARK_CATEGORY)) then  begin
    ListBox1.Items.LoadFromFile(ZonuConfig.UsersPath + FILE_BOOKMARK_CATEGORY);
  end;
end;

procedure TBookmarkCategoryDialog.Button1Click(Sender: TObject);
var
  s: string;
  n: integer;
begin
  s :=  Edit1.Text;
  if  (s <> '') then  begin
    n :=  ListBox1.Items.IndexOf(s);
    if  (n > -1) then  begin
      //ComboBox1.Items.Move(n, 0);
    end else begin
      ListBox1.Items.Add(s);
    end;
    ListBox1.Items.SaveToFile(ZonuConfig.UsersPath + FILE_BOOKMARK_CATEGORY);
  end;
  FSelectedCategory :=  s;
  ModalResult :=  mrOk;
end;

procedure TBookmarkCategoryDialog.ListBox1Click(Sender: TObject);
begin
  Edit1.Text  :=  ListBox1.Items[ListBox1.ItemIndex];
end;

end.
