unit Splash;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TSplashWindow = class(TForm)
    Image1: TImage;
    Label2: TLabel;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    procedure ShowMessage(const Msg: string);
  end;

var
  SplashWindow: TSplashWindow;

implementation

{$R *.dfm}

uses
  ZonuConf, Hzbconst;

{ TSplashWindow }

procedure TSplashWindow.ShowMessage(const Msg: string);
begin
  Label1.Caption  :=  Msg;
  Label1.Refresh;  
end;

procedure TSplashWindow.FormCreate(Sender: TObject);
var
  s : string;
begin
  Label1.Caption  :=  '';
  Label2.Caption  :=  'Version ' + APP_MAJOR_VERSION;
  s :=  ZonuConfig.AppPath + PATH_RESOURCE + 'splash.bmp';
  if  (FileExists(s)) then  begin
    Image1.Picture.LoadFromFile(s);
    Height  :=  Image1.Height;
    Width   :=  Image1.Width;
  end else begin
    Height  :=  0;
    Width   :=  0;
  end;
end;

end.
