{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 Board Find Dialog Unit                                            }
{                                                                             }
{ 2001-05 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit Brdfnd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Dlghead, StdCtrls, ExtCtrls;

type
  TBoardFindType  = (ftFindFirst, ftFindCurPos);
  TBoardFindDialog = class(TForm)
    HeaderFrame1: THeaderFrame;
    Label1: TLabel;
    ComboBox1: TComboBox;
    RadioGroup1: TRadioGroup;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    function GetFindText: string;
    function GetFindType: TBoardFindType;
    { Private 錾 }
  public
    { Public 錾 }
    property  FindText: string  read  GetFindText;
    property  FindType: TBoardFindType  read  GetFindType;
  end;

var
  BoardFindDialog: TBoardFindDialog;

implementation

{$R *.dfm}

uses
  Zonuconf, Hzbconst;

procedure TBoardFindDialog.FormCreate(Sender: TObject);
begin
  if  (FileExists(ZonuConfig.UsersPath + FILE_FIND_LOG))  then  begin
    ComboBox1.Items.LoadFromFile(ZonuConfig.UsersPath + FILE_FIND_LOG);
  end;
  //13 begin
  ComboBox1.AutoComplete  :=  ZonuConfig.FindDialogAutoComplete;
  //13 end
end;

procedure TBoardFindDialog.Button1Click(Sender: TObject);
var
  n: integer;
  s: string;  //age16
begin
  s :=  ComboBox1.Text; //age16
  if  (Trim(ComboBox1.Text) <> '')  then  begin //age16
    n :=  ComboBox1.Items.IndexOf(ComboBox1.Text);
    if  (n > -1)  then  begin
      ComboBox1.Items.Move(n, 0);
    end else begin
      ComboBox1.Items.Insert(0, ComboBox1.Text);
    end;
    ComboBox1.Items.SaveToFile(ZonuConfig.UsersPath + FILE_FIND_LOG);
  end; //age16
  ComboBox1.Text  :=  s;  //age16
  ModalResult :=  mrOk;
end;

procedure TBoardFindDialog.Button2Click(Sender: TObject);
begin
  ModalResult :=  mrCancel;
end;

function TBoardFindDialog.GetFindText: string;
begin
  Result  :=  ComboBox1.Text;
end;

function TBoardFindDialog.GetFindType: TBoardFindType;
begin
  if  (RadioGroup1.ItemIndex = 0) then  begin
    Result  :=  ftFindFirst;
  end else begin
    Result  :=  ftFindCurPos;
  end;
end;

end.
