{ *************************************************************************** }
{                                                                             }
{ Hotzonu 2 Log Clean Dialog Unit                                             }
{                                                                             }
{ 2001-05 Hotzonu Project, Monazilla Software Foundation 2001                 }
{                                                                             }
{ *************************************************************************** }

unit Cleandlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Dlghead, StdCtrls, CheckLst, ComCtrls, EnhListView, ExtListView,
  Menus, ShellApi;

type
  TCleanDialog = class(TForm)
    HeaderFrame1: THeaderFrame;
    ListView1: TdfsExtListView;
    Button6: TButton;
    Button7: TButton;
    PopupMenu1: TPopupMenu;
    AllCheck: TMenuItem;
    AllUncheck: TMenuItem;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure AllCheckClick(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure ListView1DblClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  CleanDialog: TCleanDialog;

implementation

{$R *.dfm}

uses
  Hzbconst, ZonuConf, Zonutils;

{
FILE_FIND_LOG
tB^AOȂǂ̌

FILE_FINDTEXT_LOG
ÕXbh^Cg

FILE_NAME_LOG
ݎ̎gpnh

FILE_MAIL_LOG
ݎ̎gp[AhX

FILE_SEND_NAME
Xbhʂ̏ݎ̐ݒ藚

FILE_SEND_LOG
݃O(X)

FILE_NEWTHREADD_LOG
݃O(X)

FILE_URL_LOG
URL̃O

}
procedure TCleanDialog.FormCreate(Sender: TObject);
  function GetFileSize(AFileName: string): integer;
  var
    rec: TSearchRec;
  begin
    if  (FindFirst(AFileName, faAnyFile, rec) = 0)  then  begin
      Result  :=  (rec.Size + 1023) div 1024;
    end else begin
      Result  :=  0;
    end;
    FindClose(rec);
  end;

  procedure AddItem(ACaption, AFileName : string);
  var
    Item: TListItem;
  begin
    Item  :=  ListView1.Items.Add;
    Item.Caption  :=  ACaption;
    Item.SubItems.Add(AFileName);
    Item.SubItems.Add(IntToStr(GetFileSize(ZonuConfig.UsersPath + AFileName)) + 'KB');
  end;
begin
  AddItem('tB^AOȂǂ̌',
          FILE_FIND_LOG);

  AddItem('ÕXbh^Cg',
          FILE_FINDTEXT_LOG);

  AddItem('ݎ̎gpnh',
          FILE_NAME_LOG);

  AddItem('ݎ̎gp[AhX',
          FILE_MAIL_LOG);

  AddItem('Xbhʂ̏ݎ̐ݒ藚',
          FILE_SEND_NAME);

  AddItem('݃O(X)',
          FILE_SEND_LOG);

  AddItem('݃O(X)',
          FILE_NEWTHREADD_LOG);

  AddItem('URL̃O',
          FILE_URL_LOG);
end;

procedure TCleanDialog.AllCheckClick(Sender: TObject);
var
  n: integer;
begin
  for n :=  0 to  ListView1.Items.Count - 1  do  begin
    ListView1.Items[n].Checked :=  (Sender = AllCheck);
  end;
end;

procedure TCleanDialog.Button6Click(Sender: TObject);
var
  i: integer;
begin
  if  (MessageDlg('`FbN܂B', mtWarning, [mbYes, mbNo], 0) = mrYes) then
  begin
    Screen.Cursor :=  crHourglass;
    for i :=  0 to  ListView1.Items.Count - 1 do  begin
      ListView1.Items[i].Selected :=  True;
      ListView1.Refresh;
      if  (ListView1.Items[i].Checked)  then  begin
        DeleteFileEx(ZonuConfig.UsersPath +
                     ListView1.Items[i].SubItems[0],
                     False,
                     ZonuConfig.MoveToTrash);
      end;
    end;
    Screen.Cursor :=  crDefault;
    ModalResult :=  mrOk;
  end;
end;

procedure TCleanDialog.Button7Click(Sender: TObject);
begin
  ModalResult :=  mrCancel;
end;

procedure TCleanDialog.ListView1DblClick(Sender: TObject);
begin
  if  (ListView1.Selected <> nil) then  begin
    ShellExecute(Handle, 'open',
                 PChar(ZonuConfig.UsersPath + ListView1.Selected.SubItems[0]),
                 nil, nil, SW_SHOW);
  end;
end;

end.
