unit HzbDatConv;

interface

uses
  Classes, SysUtils;

  function ConvResKibon(const s: string): string;
  //10 begin
  {
  function ConvResSkin(const Skin, ACheckBox, ALinkStr, ANo, AName, AMail,
    AID, ARemoteHost, ADate, ABody, SkinPath, SkinUrl, ModulePath, ModuleUrl,
    BookmarkResNo, HelpPath, HelpUrl, TodayStr, SioriStr, SioriBegin, SioriEnd,
    TodayBegin, TodayEnd: string): string;
  }
  function ConvResSkin(const Skin, ACheckBox, ALinkStr, ANo, AName, AMail,
    AID, ABeID, ABeLevel, {11} ARemoteHost, ADate, ABody, SkinPath, SkinUrl,
    ModulePath, ModuleUrl, BookmarkResNo, HelpPath, HelpUrl, TodayStr, SioriStr,
    SioriBegin, SioriEnd, TodayBegin, TodayEnd: string; IDPopup: boolean): string;
  //10 end

implementation

{ TZonuDatParser }

function ConvResKibon(const s: string): string;
var
  p : pchar;
  s1, s2 : string;
  FToken    : string;
  FOldToken : string;
  FContent  : string;
  HRef : boolean;
begin
  FToken    :=  '';
  FContent  :=  '';
  FOldToken :=  '';
  HRef      :=  False;
  p := PChar(s);

  while true do begin
    //
    //  sړ
    //
    while true  do  begin
      case p^ of
      #10, #13:
        Inc(p);
      else
        break;
      end;
    end;

    //
    //  p[X
    //
    case p^ of
    #0:
    begin
      //I
      Break;
    end;
    '<':
    begin
      //^Oo
      FToken := FToken + p^;
      while True do begin
        Inc(p);
        case p^ of
        #10, #13:
          ;
        #0  :
          FToken := FToken + '*';
        '<':
          FToken := FToken + '&lt;';
        '>':
        begin
          FToken := FToken + p^;
          //^OoI
          HRef  :=  (AnsiSameText(Copy(FToken,1,3), '<a '));
          if  (HRef)  then  begin
            //
            //  Blank}
            //

          end;
          FContent  :=  FContent + FToken;
          FOldToken :=  FToken;
          FToken    :=  '';
          //
          //
          Break;
        end;
        else
          //^O񌋍
          FToken := FToken + p^;
        end;
      end;
      Inc(p);
    end;
    else
      while True do begin
        case p^ of
        #0, '<':
        begin
          FContent  :=  FContent + FToken;
          FOldToken :=  FToken;
          FToken    :=  '';
          HRef      :=  False;
          Break;
        end;
        '>':
          FToken := FToken + '&gt;';
        else
          {FToken}
          if  (not HRef)  then  begin
            if  (Length(FToken) > 3)  then  begin
              s1  :=  Copy(FToken, Length(FToken) - 3, 4);
              if  (s1 = 'http') or (s1 = 'ttp:') or (s1 = 'www.') then  begin
                //
                //  HREFN쐬
                //
                FContent  :=  FContent  + Copy(FToken, 1, Length(FToken) - 4);
                FToken    :=  s1;
                while (p^ in ['a'..'z','A'..'Z','0'..'9',',',':','/','.','%','?','&','#','=','-','_','~','+','*',';','!','^','`','\','|','@','[',']','{','}','$',',']) do begin
                  FToken := FToken + p^;
                  inc(p);
                end;
                //NI
                if  (Length(FToken) > 7)  then  begin {http:// ttp:// www.xxx}
                  //N쐬
                  case  s1[1] of
                    'h':  s2  :=  FToken;
                    't':  s2  :=  'h' + FToken;
                    'w':  s2  :=  'http://' + FToken;
                  end;
                  FContent  :=  FContent +
                                '<a href=' + s2 + ' target=_blank>' +
                                FToken +
                                '</a>';
                  FToken    :=  '';
                  HRef      :=  False;
                end else begin
                  //
                end;
              end;
            end;
            if  (Length(FToken) > 4)  then  begin
              if  (Copy(FToken, Length(FToken) - 3, 4) = '&gt;') then  begin
              
              end;
            end;
          end;

          //  a: {
          //  b: pp
          //
          //  ttp://aaaaaa.html>>12ƂB
          //
          //  ttp://aaaaaa.html
          //  
          //  >>12
          //  Ƃ
          //
          //  ttp://aaaaaa.html恄PQƂB
          //
          //  ttp://aaaaaa.html
          //  
          //  PQ
          //  Ƃ
          //
          //FOldToken
          if  (p^ <> #0)  then  FToken := FToken + p^;
        end;
        Inc(p);
      end;
    end;
  end;
  Result := FContent;
end;

//10
{
function ConvResSkin(const Skin, ACheckBox, ALinkStr, ANo, AName, AMail,
  AID, ARemoteHost, ADate, ABody, SkinPath, SkinUrl, ModulePath, ModuleUrl,
  BookmarkResNo, HelpPath, HelpUrl, TodayStr, SioriStr, SioriBegin, SioriEnd,
  TodayBegin, TodayEnd: string): string;
}
function ConvResSkin(const Skin, ACheckBox, ALinkStr, ANo, AName, AMail,
  AID, ABeID, ABeLevel, {11} ARemoteHost, ADate, ABody, SkinPath, SkinUrl,
  ModulePath, ModuleUrl, BookmarkResNo, HelpPath, HelpUrl, TodayStr, SioriStr, SioriBegin, SioriEnd,
  TodayBegin, TodayEnd: string; IDPopup: boolean ): string;
var
  p : pchar;
  FToken    : string;
  FContent  : string;
begin
  FContent  :=  '';
  FToken    :=  '';
  p := PChar(Skin);
  while true do begin
    case p^ of
    #0:
    begin
      //I
      Break;
    end;
    '<':
    begin
      //^Oo
      FToken := FToken + p^;
      while True do begin
        Inc(p);
        case p^ of
        #10, #13:
          ;
        #0  :
          FToken := FToken + '*';
        '<':
        begin
          FContent  :=  FContent + FToken;
          FToken := '<';
        end;
        '>':
        begin
          FToken := FToken + p^;
          //^OoI
          if  (FToken =  '<CHECKBOX/>')  then  begin
            FToken  :=  ACheckBox;
          end else
          if  (FToken = '<PLAINNUMBER/>')  then  begin
            FToken  :=  ANo;
          end else
          if  (FToken = '<NUMBER/>')  then  begin
            FToken  :=  ALinkStr;
          end else
          if  (FToken = '<MAILNAME/>')  then  begin
            if  (AMail = '')  then  begin
              FToken  :=  '<B>' + AName + '</B>';
            end else begin
              FToken  :=  '<B><A HREF="mailto:' +
                          StringReplace(AMail,'"','',[rfReplaceAll]) + '">' +
                          AName  + '</A></B>';
            end;
          end else
          if  (FToken = '<NAME/>')  then  begin
            FToken  :=  '<B>' + AName + '</B>';
          end else
          if  (FToken = '<MAIL/>')  then  begin
            if  (AnsiPos('mailto:',AMail) = 0) then  begin
              FToken  :=  AMail;
            end else begin
              FToken  :=  System.Copy(AMail,8,Length(AMail));
            end;
          end else
          if  (FToken = '<DATE/>')  then  begin
            {
            if  (AID <> '')  then  begin
              FToken  :=  ADate + ' ID:' + AID + ' ' +
                          '<FONT SIZE=-1>' + ARemoteHost + '</FONT>';
            end else begin
              FToken  :=  ADate + ' ' + AID + ' ' +
                          '<FONT SIZE=-1>' + ARemoteHost + '</FONT>';
            end;
            }
            FToken  :=  ADate;  
          end else
          if  (FToken = '<MESSAGE/>')  then  begin
            FToken  :=  ABody;
          end else
          if  (FToken =  '<ID/>')  then  begin
            //10
            if  (IDPopup) then  begin
              //9 begin
              //FToken  :=  AID;
              //if  (AID <> '???')  then  begin //17
              if  (Copy(AID,1,3) <> '???') and (AID <> '0') and (AID <> 'O')  then  begin
                FToken  :=  Format('<A HREF="zonu://res/?id=%s">%s</A>', [AID, AID]);
              end else begin
                FToken  :=  AID;
              end;
              //9 end
            end else begin
              FToken  :=  AID;
            end;
            //11 begin
            if  (ABeID <> '') then  begin
              FToken := FToken +
                        Format(' <A HREF="zonu://res/?be=%s?be=%s">?%s</A>',
                               [ABeID, ANo, StringOfChar('#', StrToIntDef(ABeLevel,0))]);
            end;
            //11 end
          end else
          if  (FToken =  '<REMOTEHOST/>')  then  begin
            FToken  :=  ARemoteHost;
          end else
          if  (FToken =  '<SKINPATH/>')  then  begin
            FToken  :=  SkinPath;
          end else
          if  (FToken =  '<SKINURL/>')  then  begin
            FToken  :=  SkinUrl;
          end else
          if  (FToken =  '<MODULEPATH/>')  then  begin
            FToken  :=  ModulePath;
          end else
          if  (FToken =  '<MODULEURL/>')  then  begin
            FToken  :=  ModuleUrl;
          end else
          if  (FToken =  '<BOOKMARKRESNO/>')  then  begin
            FToken  :=  BookmarkResNo;
          end else
          if  (FToken =  '<HELPPATH/>')  then  begin
            FToken  :=  HelpPath;
          end else
          if  (FToken =  '<HELPURL/>')  then  begin
            FToken  :=  HelpUrl;
          end else
          if  (FToken =  '<TODAY/>')  then  begin
            FToken  :=  TodayStr;
          end else
          if  (FToken =  '<SIORI/>')  then  begin
            FToken  :=  SioriStr;
          end else
          if  (FToken =  '<SIORI>')  then  begin
            FToken  :=  SioriBegin;
          end else
          if  (FToken =  '</SIORI>')  then  begin
            FToken  :=  SioriEnd;
          end else
          if  (FToken =  '<TODAY>')  then  begin
            FToken  :=  TodayBegin;
          end else
          if  (FToken =  '</TODAY>')  then  begin
            FToken  :=  TodayEnd;
          end;
          FContent  :=  FContent + FToken;
          FToken    :=  '';
          Break;
        end;
        else
          //^O񌋍
          FToken := FToken + p^;
        end;
      end;
      Inc(p);
    end;
    else
      while True do begin
        case p^ of
        #0, '<':
        begin
          FContent  :=  FContent + FToken;
          FToken    :=  '';
          Break;
        end;
        '>':
          FToken := FToken + '>'
        else
          FToken := FToken + p^;
        end;
        Inc(p);
      end;
    end;
  end;
  {
  FContent  :=  '<dt>' + ACheckBox +  ' ' + ANo +
                ' OF<font color="forestgreen">' + AName + '</font> <TODAY> eF' + ADate + '<dd>' + ABody + '<br><br>';
  }
  Result  :=  FContent;
end;
(*
function ConvResSkin(const Skin, ACheckBox, ALinkStr, ANo, AName, AMail,
  AID, ARemoteHost, ADate, ABody, SkinPath, SkinUrl, ModulePath, ModuleUrl,
  BookmarkResNo: string): string;
var
  p : pchar;
  FToken    : string;
  FContent  : string;
begin
  FContent  :=  '';
  FToken    :=  '';
  p := PChar(Skin);
  while true do begin
    case p^ of
    #0:
    begin
      //I
      Break;
    end;
    '<':
    begin
      //^Oo
      FToken := FToken + p^;
      while True do begin
        Inc(p);
        case p^ of
        #10, #13:
          ;
        #0  :
          FToken := FToken + '*';
        '<':
          FToken := FToken + '&lt;';
        '>':
        begin
          FToken := FToken + p^;
          //^OoI
          if  (FToken =  '<CHECKBOX/>')  then  begin
            FToken  :=  ACheckBox;
          end else
          if  (FToken = '<PLAINNUMBER/>')  then  begin
            FToken  :=  ANo;
          end else
          if  (FToken = '<NUMBER/>')  then  begin
            FToken  :=  ALinkStr;
          end else
          if  (FToken = '<MAILNAME/>')  then  begin
            if  (AMail = '')  then  begin
              FToken  :=  '<B>' + AName + '</B>';
            end else begin
              FToken  :=  '<B><A HREF="mailto:' +
                          StringReplace(AMail,'"','',[rfReplaceAll]) + '">' +
                          AName  + '</A></B>';
            end;
          end else
          if  (FToken = '<NAME/>')  then  begin
            FToken  :=  '<B>' + AName + '</B>';
          end else
          if  (FToken = '<MAIL/>')  then  begin
            if  (AnsiPos('mailto:',AMail) = 0) then  begin
              FToken  :=  AMail;
            end else begin
              FToken  :=  System.Copy(AMail,8,Length(AMail));
            end;
          end else
          if  (FToken = '<DATE/>')  then  begin
            {
            if  (AID <> '')  then  begin
              FToken  :=  ADate + ' ID:' + AID + ' ' +
                          '<FONT SIZE=-1>' + ARemoteHost + '</FONT>';
            end else begin
              FToken  :=  ADate + ' ' + AID + ' ' +
                          '<FONT SIZE=-1>' + ARemoteHost + '</FONT>';
            end;
            }
            FToken  :=  ADate;  
          end else
          if  (FToken = '<MESSAGE/>')  then  begin
            FToken  :=  ABody;
          end else
          if  (FToken =  '<ID/>')  then  begin
            FToken  :=  AID;
          end else
          if  (FToken =  '<REMOTEHOST/>')  then  begin
            FToken  :=  ARemoteHost;
          end else
          if  (FToken =  '<SKINPATH/>')  then  begin
            FToken  :=  SkinPath;
          end else
          if  (FToken =  '<SKINURL/>')  then  begin
            FToken  :=  SkinUrl;
          end else
          if  (FToken =  '<MODULEPATH/>')  then  begin
            FToken  :=  ModulePath;
          end else
          if  (FToken =  '<MODULEURL/>')  then  begin
            FToken  :=  ModuleUrl;
          end else
          if  (FToken =  '<BOOKMARKRESNO/>')  then  begin
            FToken  :=  BookmarkResNo;
          end;
          FContent  :=  FContent + FToken;
          FToken    :=  '';
          Break;
        end;
        else
          //^O񌋍
          FToken := FToken + p^;
        end;
      end;
      Inc(p);
    end;
    else
      while True do begin
        case p^ of
        #0, '<':
        begin
          FContent  :=  FContent + FToken;
          FToken    :=  '';
          Break;
        end;
        '>':
          FToken := FToken + '&gt;';
        else
          FToken := FToken + p^;
        end;
        Inc(p);
      end;
    end;
  end;
  {
  FContent  :=  '<dt>' + ACheckBox +  ' ' + ANo +
                ' OF<font color="forestgreen">' + AName + '</font> <TODAY> eF' + ADate + '<dd>' + ABody + '<br><br>';
  }
  Result  :=  FContent;
end;
*)
end.
